# plugin-twine

[![status-badge](https://ci.elara.ws/api/badges/60/status.svg)](https://ci.elara.ws/repos/60)

This is a Drone/Woodpecker plugin for Python's Twine tool. It lets you upload a built python project to a pypi repository.

### Settings

- `username`: The username to authenticate to the repository as. (REQUIRED)
- `password`: The password to authenticate to the repository with. (REQUIRED)
- `comment`: The comment to include with the distribution file.
- `repository_url`: The repository URL to upload the package to.

### Example

```yaml
steps:
  publish:
    image: gitea.elara.ws/music-kraken/plugin-twine
    settings:
      repository_url: "https://gitea.elara.ws/api/packages/music-kraken/pypi"
      username:
        from_secret: pypi_username
      password:
        from_secret: pypi_password
```

